import "./tasks/replicate_consensus.wdl" as replicate_consensus
import "./tasks/mendelian.wdl" as mendelian

workflow {{ project_name }} {
	File ref_dir
	String fasta
	File chromo_file
	String chromo
	String cluster_config
	String disk_size


	call replicate_consensus.replicate_consensus as replicate_consensus {
		input:
		chromo_file=chromo_file,
		chromo=chromo,
		cluster_config=cluster_config,
		disk_size=disk_size
	}
	call mendelian.mendelian as mendelian {
		input:
		consensus_vcf=replicate_consensus.consensus_vcf,
		ref_dir=ref_dir,
		fasta=fasta,
		chromo=chromo,
		cluster_config=cluster_config,
		disk_size=disk_size
	}
}